import { type CrudAction } from "../../../../fd-toolbox/enums/enums";
import { WithId } from "../../../../fd-toolbox-core/types/resource-with-id";
import { VoidFunc, VoidFuncNoParam } from "../../../../fd-toolbox/functions/internal-getter-setter-functions";
import { CellContext, TableRow } from "../table-models";
export declare function initBodyCell(setCellValue: VoidFunc<unknown>, setCellImage: VoidFunc<string | undefined>, setCheckboxId: VoidFunc<string>, setViewCellId: VoidFunc<string>, setCellId: VoidFunc<string>, setIconId: VoidFunc<string>, setIsDefaultOrExpandAdvisableCell: VoidFunc<boolean>, setIsCheckmarkCell: VoidFunc<boolean>, setCellWidth: VoidFunc<number>, setShouldShowEditButton: VoidFunc<boolean>, setShouldShowViewButton: VoidFunc<boolean>, setShouldShowDeleteButton: VoidFunc<boolean>, cellContext?: CellContext): Promise<void>;
export declare function getBodyCellViewButtonId(itemId: string): string;
/** @internal */
export declare function getCheckboxId(cellContext: CellContext): string;
export declare function getBodyCellId(cellContext: CellContext): string;
export declare function isAllowedCrudAction(cellContext: CellContext, action: CrudAction): boolean;
export declare function getBodyCellValueFromItem(cellContext: CellContext, item?: WithId): Promise<unknown>;
export declare function getBodyCellImageFromItem(cellContext: CellContext, item?: WithId): Promise<string>;
export declare function getCellId(index: number, context: CellContext, suffix: string): string;
export declare function getBodyCellResourceEditUrl(cellContext: CellContext): string;
export declare function getBodyImageCell(cellContext: CellContext): Promise<string>;
export declare function handleDialogResponse(isYes: boolean, itemDeleted: VoidFuncNoParam, cellContext?: CellContext): void;
export declare function updateSelectedRow(isChecked: boolean, cellContext?: CellContext, setTableRows?: VoidFunc<TableRow[]>): void;
export declare function onViewClick(cellContext?: CellContext): void;
